package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.LisConfigDTO;
import com.diagbot.entity.LisConfig;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.LisConfigServiceImpl;
import com.diagbot.util.BeanUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 
 * @author wangfeng
 * @Description: 化验公表配置
 * @date 2018年12月25日 上午10:57:34
 */
@Component
public class LisConfigFacade extends LisConfigServiceImpl {

	/**
	 * 根据医院编码查询公表映射配置
	 *
	 * @param hospitalCode
	 * @return
	 */
	public List<LisConfigDTO> getLisConfigByhospitalId(String hospitalCode) {

		QueryWrapper<LisConfig> lisConfig = new QueryWrapper<>();
		lisConfig.eq("is_deleted", IsDeleteEnum.N.getKey()).eq("hospital_code", hospitalCode);
		List<LisConfig> data = list(lisConfig);
		List<LisConfigDTO> datas = BeanUtil.listCopyTo(data, LisConfigDTO.class);
		return datas;
	}
}